package com.example.myappnew.view.mainActivity.components

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp

@Preview
@Composable
fun profile(){
    Column(
        modifier = Modifier
            .fillMaxSize()
            .fillMaxWidth(0.9f)
            .padding(top = 30.dp, start = 15.dp, end = 15.dp)
            .background(Color.White), //Временно
        verticalArrangement = Arrangement.SpaceBetween,
        horizontalAlignment = Alignment.CenterHorizontally

    ){
        Column() {
            Text(text = "Профиль", fontSize = 28.sp,
                modifier = Modifier.padding(top = 30.dp))
        }
        Column() {
            Column(modifier = Modifier.fillMaxWidth(0.9f).background(Color.Red).fillMaxSize(0.6f),
                verticalArrangement = Arrangement.SpaceEvenly){

                Box(modifier = Modifier.fillMaxWidth().background(Color.Gray).height(50.dp),Alignment.Center){
                    Text(text = "Имя", fontSize = 28.sp)
                }
                Box(modifier = Modifier.fillMaxWidth().background(Color.Gray).height(50.dp), Alignment.Center){
                    Text(text = "Роль", fontSize = 28.sp)
                }
                Box(modifier = Modifier.fillMaxWidth().background(Color.Gray).height(50.dp),Alignment.Center){
                    Text(text = "Почта", fontSize = 28.sp)
                }
                Box(modifier = Modifier.fillMaxWidth().background(Color.Gray).height(50.dp), Alignment.Center){
                    Text(text = "Изменить роль", fontSize = 28.sp)
                }
            }
        }
        Column(modifier = Modifier.fillMaxWidth().background(Color.Red).height(80.dp)) {
        }
    }
}